Bug 43121 - Offer codes are getting cleared from cache
Offer codes are getting cleared from cache
Status: CLOSED DEFERRED
Product: Red Hat Web Site
Classification: Red Hat
Component: New Store (Show other bugs)
current
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cameron Prince
wbirkhea
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-31 22:03 EDT by Jay Turner
Modified: 2015-01-07 18:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-07 12:18:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2001-05-31 22:03:18 EDT
Description of Problem:
The offer code is not getting cleared from the cache, and therefore is
appearing/not appearing depending on the last thing displayed

How Reproducible:
Always

Steps to Reproduce:
1. Log into http://www.webqa.redhat.com/cgi-bin/store
2. Place a Professional Server boxed set in the cart (which has the $20 off
   special right now)
3. Continue through the checkout process and notice on the address
   verification screen that the offer code '15995' is shown
4. Click 'Cancel Order' and return to the store front
5. Place a Deluxe boxed set in the cart and continue through checkout\

Actual Results:
On the address verification screen, the offer code will still appear, even
though we are buying a totally different product now.

Expected Results:
Offer code field should be blank, as the product that we are buying has no
valid offers

Additional Information:
Comment 1 Jay Turner 2001-05-31 22:26:50 EDT
OK, Cameron committed a change which was supposed to fix this.  The result is
that the offer code field no longer shows up on the address verification screen
when ordering the Professional product.
Comment 2 Cameron Prince 2001-06-07 12:18:23 EDT
Verified all offer codes are cleared when a sale is completed, or any cancel
button is clicked.
Comment 3 Jay Turner 2001-09-18 09:31:08 EDT
Closing this out as we did not deploy Interchange.

Note You need to log in before you can comment on or make changes to this bug.